<?php
/**
 * CAdvancedSlideshow
 * @package Joomla!
 * @Copyright (C) 2012 - Yves Hoppe - compojoom.com
 * @All rights reserved
 * @Joomla! is Free Software
 * @Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
 * @version $Revision: 1.0.0 $
 **/

defined('_JEXEC') or die('Restricted access');

if (JVERSION > 2.5)
{
	JHtml::_('formbehavior.chosen', 'select');
}

$listDir = $this->escape($this->state->get('list.direction'));
$listOrder = $this->escape($this->state->get('list.ordering'));

// Load the menu including bootstrap etc
echo CompojoomHtmlCtemplate::getHead(CAdvancedSlideshowHelperBasic::getMenu(), 'slides', 'COM_CADVANCEDSLIDESHOW_SLIDES',
	'COM_CADVANCEDSLIDESHOW_SLOGAN_SLIDES');
?>
	<form name="adminForm" id="adminForm" method="post"
	      action="<?php echo JRoute::_('index.php?option=com_cadvancedslideshow&view=slides'); ?>">

		<div id="filter-bar" class="btn-toolbar">

			<div class="filter-search fltlft btn-group pull-left">
				<label class="filter-search-lbl element-invisible"
				       for="filter_search"><?php echo JText::_('JSEARCH_FILTER_LABEL'); ?></label>
				<input type="text" name="filter_search" id="filter_search"
				       value="<?php echo $this->escape($this->state->get('filter.search')); ?>"
				       title="<?php echo JText::_('JSEARCH_FILTER_LABEL'); ?>"
				       placeholder="<?php echo JText::_('JSEARCH_FILTER_LABEL'); ?>"/>
			</div>

			<div class="btn-group pull-left hidden-phone">
				<?php if (JVERSION > 2.5) : ?>
					<button class="btn" type="submit"><i class="icon-search"></i></button>
					<button class="btn" type="button"
					        onclick="document.id('filter_search').value='';this.form.submit();"><i class="icon-remove"></i>
					</button>
				<?php else : ?>
					<button class="btn" type="submit"
					        style="margin:0"><?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?></button>
					<button class="btn" type="button" style="margin:0"
					        onclick="document.id('filter_search').value='';this.form.submit();"><?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?></button>
				<?php endif; ?>
			</div>

			<div class="filter-select fltrt pull-right">
				<select name="filter_published" class="inputbox chzn-single" onchange="this.form.submit()">
					<option value=""><?php echo JText::_('JOPTION_SELECT_PUBLISHED'); ?></option>
					<?php echo JHtml::_('select.options', JHtml::_('jgrid.publishedOptions'), 'value', 'text', $this->state->get('filter.state'), true); ?>
				</select>

				<select name="filter_category_id" class="inputbox chzn-single" onchange="this.form.submit()">
					<option value=""><?php echo JText::_('JOPTION_SELECT_CATEGORY'); ?></option>
					<?php echo JHtml::_('select.options', JHtml::_('category.options', 'com_cadvancedslideshow'), 'value', 'text', $this->state->get('filter.category_id')); ?>
				</select>
			</div>
		</div>

		<div class="clr"></div>

		<table class="adminlist table table-hover">
			<thead>
			<tr>
				<th width="5">#</th>
				<th width="5">
					<input type="checkbox" name="checkall-toggle" value=""
					       title="<?php echo JText::_('JGLOBAL_CHECK_ALL'); ?>" onclick="Joomla.checkAll(this)"/>
				</th>
				<th><?php echo JHtml::_('grid.sort', 'COM_CADVANCEDSLIDESHOW_SLIDENAME', 'n.slidename', $listDir, $listOrder); ?></th>
				<th><?php echo JHtml::_('grid.sort', 'JGLOBAL_TITLE', 'n.title', $listDir, $listOrder); ?></th>
				<th><?php echo JTEXT::_("COM_CADVANCEDSLIDESHOW_PUBLISHED_UP"); ?></th>
				<th><?php echo JTEXT::_("COM_CADVANCEDSLIDESHOW_PUBLISHED_DOWN"); ?></th>
				<th><?php echo JTEXT::_("COM_CADVANCEDSLIDESHOW_PUBLISHED"); ?></th>
			</tr>
			</thead>
			<tbody>
			<?php foreach ($this->items as $i => $item) : ?>
				<tr class="row<?php echo $i % 2; ?>">
					<td><?php echo $this->pagination->getRowOffset($i); ?></td>
					<td><?php echo JHtml::_('grid.id', $i, $item->id); ?></td>
					<td><?php echo '<a href="index.php?option=com_cadvancedslideshow&view=slide&task=slide.edit&id=' . $item->id . '">'
							. $item->slidename . '</a>'; ?></td>
					<td><?php echo $item->title; ?></td>
					<td><?php echo $item->published_up != "0000-00-00 00:00:00" ? JFactory::getDate($item->published_up) : "0000-00-00 00:00:00"; ?></td>
					<td><?php echo $item->published_down != "0000-00-00 00:00:00" ? JFactory::getDate($item->published_down) : "0000-00-00 00:00:00"; ?></td>
					<td><?php echo JHTML::_('grid.published', $item, $i, $imgY = 'tick.png', $imgX = 'publish_x.png', $prefix = 'site.'); ?></td>
				</tr>
			<?php endforeach; ?>
			</tbody>
			<tfoot>
			<tr>
				<td colspan="7">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
			</tr>

			</tfoot>

			<input type="hidden" name="task" value=""/>
			<input type="hidden" name="boxchecked" value="0"/>

			<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>
			<input type="hidden" name="filter_order_Dir" value="<?php echo $listDir; ?>"/>

			<?php echo JHTML::_('form.token'); ?>
		</table>
	</form>
<?php
echo CompojoomHtmlCTemplate::getFooter(CAdvancedSlideshowHelperBasic::footer());
