<?php
/**
 * @package    CAdvancedSlideshow
 * @author     Yves Hoppe <yves@compojoom.com>
 * @date       20.09.13
 *
 * @copyright  Copyright (C) 2008 - 2013 compojoom.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

defined('_JEXEC') or die;

// A JQuery template!
JHTML::_('stylesheet', 'media/mod_cadvancedslideshow/templates/modern/tmpl.css');

$doc = JFactory::getDocument();

// Load JQuery
if (JVERSION < 3.0)
{
	// Load JQuery
	JHTML::_('script', 'media/mod_cadvancedslideshow/js/jquery-1.10.2.min.js');
	$doc->addScriptDeclaration('
				jQuery.noConflict();
	');
}

JHTML::_('script', 'media/mod_cadvancedslideshow/js/jquery-ui-1.10.3.min.js');
JHTML::_('script', 'media/mod_cadvancedslideshow/js/jquery.cslide.js');
JHTML::_('script', 'media/mod_cadvancedslideshow/js/jquery.cslide.CSS.js');

JHTML::_('stylesheet', 'media/mod_cadvancedslideshow/templates/compojoom/tmpl.css');

$gid = $params->get('galleryid', 1);
$lang = $params->get('language', '');

// Load Slides out of db on the given Galleryid
$slides = CAdvancedSlideshowHelperBasic::getSlides($gid, $lang);

if ($slides == null)
{
	JError::raiseError(403, 'MOD_CADVANCEDSLIDESHOW_NO_SLIDES');
}

// Generate SlideShow settings
$transition = $params->get('transition', 'fade');

// Set default transition
if (empty($transition))
{
	$transition = 'fade';
}

$doc->addScriptDeclaration('
	jQuery( document ).ready(function() {
		jQuery("#cslides_slideshow_' . $module->id . '").cslide({
			delay:              ' . $params->get('delay', 6000) . ',
			autoplay:           ' . $params->get('autplay', true) . ',
			speed:              ' . $params->get('duration', 700) . ',
			nextButton:         "#next_' . $module->id . '",
			prevButton:         "#prev_' . $module->id . '",
			fx:                 "' . $transition . '"
		});
	});
');

// Generate css
$cslides_holder_w = $params->get('cslides_holder_width', '100 %');

// Value only in pixel
$cslides_holder_h = $params->get('cslides_holder_height', '300');
$cslides_holder_border = $params->get('cslides_holder_border', '1px solid #555');
$cslides_holder_bg = $params->get('cslides_holder_bg', '');

$cslides_holder_inner_padding = $params->get('cslides_holder_inner_padding', '2');
$cslides_holder_inner_margin = $params->get('cslides_holder_inner_margin', '0');

// Select blue, white, grey, black
$cslides_nav_btns_icon_color = $params->get('cslides_nav_btns_icon_color', 'grey');
?>
<style type="text/css">
	#cslides_holder_<?php echo $module->id; ?> {
		width: <?php echo $cslides_holder_w; ?>;
		height: <?php echo $cslides_holder_h; ?>px;
	<?php
	if (!empty($cslides_holder_bg)) :
	?>
		background: <?php echo $cslides_holder_bg; ?>;
	<?php
	endif;
	?>
	}

	.cslides_holder_inner_<?php echo $module->id; ?> {
		padding: <?php echo $cslides_holder_inner_padding; ?>px;
		margin: <?php echo $cslides_holder_inner_margin; ?>px;
		border: <?php echo $cslides_holder_border; ?>;
	}

	#prev_<?php echo $module->id; ?> {
		background: url(media/mod_cadvancedslideshow/templates/default/images/left_arrow_<?php echo $cslides_nav_btns_icon_color; ?>.png) no-repeat;
	}

	#next_<?php echo $module->id; ?> {
		background: url(media/mod_cadvancedslideshow/templates/default/images/right_arrow_<?php echo $cslides_nav_btns_icon_color; ?>.png) no-repeat;
	}

	#cslides_slideshow_<?php echo $module->id; ?> {
		height: <?php echo $cslides_holder_h - ($cslides_holder_inner_padding * 2) - ($cslides_holder_inner_margin * 2) - 2;?>px;
	}

	.cslide_element_text {
		height: <?php echo $cslides_holder_h - ($cslides_holder_inner_padding * 2) - ($cslides_holder_inner_margin * 2) - 2;?>px;
	}

	<?php
	// Hide Nav elements if disabled
	if ($params->get("cslides_nav", 1) == 0)
	{
		echo ".cslides_btn_left {display: none}\n";
		echo ".cslides_btn_right {display: none}\n";
	}

	?>
</style>
<?php
// Code
?>
<div id="cslides_holder_<?php echo $module->id; ?>" class="cslides_holder">
	<div class="cslides_holder_inner_<?php echo $module->id; ?> cslides_holder_inner">
		<?php if ($params->get("cslides_nav", 1) == 1) : ?>
		<div id="prev_<?php echo $module->id; ?>" class="cslides_btn_left">
			<a class="btn_scroll_left" href="#"> </a>
		</div>
		<?php endif; ?>
		<div id="cslides_slideshow_<?php echo $module->id; ?>"
			class="cslide-slideshow"
			>
		<?php
	for ($i = 0; $i < count($slides); $i++)
	{
		$slide = $slides[$i];
		$link = $slide->link;

		echo '<img src="' . $slide->image . '" data-cslide-title="' . $slide->title . '" data-cslide-text="'
				. $slide->text . '" data-cslide-link="' . $link . '" />';

	}
	?>
		</div>
		<?php if ($params->get("cslides_nav", 1) == 1) : ?>
		<div id="next_<?php echo $module->id; ?>" class="cslides_btn_right">
			<a class="btn_scroll_right" href="#"> </a>
		</div>
		<?php endif; ?>
	</div>
</div>
<br />
<div id="debug_caption">
	test
</div>
<br />
<div id="debug_text">
	text
</div>
<br />
<div id="debug_title">
	title
</div>