<?php
/**
 * @package    CAdvancedSlideshow
 * @author     Yves Hoppe <yves@compojoom.com>
 * @date       20.09.13
 *
 * @copyright  Copyright (C) 2008 - 2013 compojoom.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

defined('_JEXEC') or die;

// A JQuery template!
JHTML::_('stylesheet', 'media/mod_cadvancedslideshow/templates/modern/tmpl.css');

$doc = JFactory::getDocument();

// Load JQuery
if (JVERSION < 3.0)
{
	// Load JQuery
	JHTML::_('script', 'media/mod_cadvancedslideshow/js/jquery-1.10.2.min.js');
	$doc->addScriptDeclaration('
				jQuery.noConflict();
				jQuery( document ).ready(function() {
				});
	');
}
else
{
	JHtml::_('jquery.framework');
}

JHTML::_('script', 'media/mod_cadvancedslideshow/js/jquery.cycle2.min.js');
JHTML::_('script', 'media/mod_cadvancedslideshow/js/jquery.cycle2.tile.min.js');
JHTML::_('script', 'media/mod_cadvancedslideshow/js/jquery.cycle2.caption2.min.js');
JHTML::_('script', 'media/mod_cadvancedslideshow/js/jquery.cycle2.swipe.min.js');

JHTML::_('stylesheet', 'media/mod_cadvancedslideshow/templates/modern/tmpl.css');

$gid = $params->get('galleryid', 1);
$lang = $params->get('language', '');

// Load Slides out of db on the given Galleryid
$slides = CAdvancedSlideshowHelperBasic::getSlides($gid, $lang);

if ($slides == null)
{
	JError::raiseError(403, 'MOD_CADVANCEDSLIDESHOW_NO_SLIDES');

	return;
}

// Generate SlideShow settings
$transition = $params->get('transition', 'tileSlide');

// Set default transition
if (empty($transition))
{
	$transition = 'tileSlide';
}

// Generate css
$cslides_holder_w = $params->get('cslides_holder_width', '100 %');

// Value only in pixel
$cslides_holder_h = $params->get('cslides_holder_height', '300');
$cslides_holder_border = $params->get('cslides_holder_border', '1px solid #555');
$cslides_holder_bg = $params->get('cslides_holder_bg', '');

$cslides_holder_inner_padding = $params->get('cslides_holder_inner_padding', '2');
$cslides_holder_inner_margin = $params->get('cslides_holder_inner_margin', '0');

// Select blue, white, grey, black
$cslides_nav_btns_icon_color = $params->get('cslides_nav_btns_icon_color', 'grey');
?>
<style type="text/css">
	#cslides_holder_<?php echo $module->id; ?> {
		width: <?php echo $cslides_holder_w; ?>;
		height: <?php echo $cslides_holder_h; ?>px;
	<?php if (!empty($cslides_holder_bg)) :  ?>
		background: <?php echo $cslides_holder_bg; ?>;
	<?php endif; ?>
	}

	.cslides_holder_inner_<?php echo $module->id; ?> {
		padding: <?php echo $cslides_holder_inner_padding; ?>px;
		margin: <?php echo $cslides_holder_inner_margin; ?>px;
		border: <?php echo $cslides_holder_border; ?>;
	}

	.cslides_btn_left_<?php echo $module->id; ?> {
		background: url(<?php echo JURI::base(); ?>media/mod_cadvancedslideshow/templates/default/images/left_arrow_<?php echo $cslides_nav_btns_icon_color; ?>.png) no-repeat;
	}

	.cslides_btn_right_<?php echo $module->id; ?> {
		background: url(<?php echo JURI::base(); ?>media/mod_cadvancedslideshow/templates/default/images/right_arrow_<?php echo $cslides_nav_btns_icon_color; ?>.png) no-repeat;
	}

	#cslides_slideshow_<?php echo $module->id; ?> {
		height: <?php echo $cslides_holder_h - ($cslides_holder_inner_padding * 2) - ($cslides_holder_inner_margin * 2) - 2;?>px;
	}

	.cslide_element_text {
		height: <?php echo $cslides_holder_h - ($cslides_holder_inner_padding * 2) - ($cslides_holder_inner_margin * 2) - 2;?>px;
	}

</style>
<?php
	// Code
?>
<div id="cslides_holder_<?php echo $module->id; ?>" class="cslides_holder">
	<div class="cslides_holder_inner_<?php echo $module->id; ?> cslides_holder_inner">
		<?php if ($params->get("cslides_nav", 1) == 1) : ?>
		<div id="prev_<?php echo $module->id; ?>" class="cslides_btn_left_<?php echo $module->id; ?> cslides_btn_left">
			<a class="btn_scroll_left" href="#"> </a>
		</div>
		<?php endif; ?>
		<!-- data-cycle-overlay-fx-out="slideUp"
		    data-cycle-overlay-fx-in="slideDown" -->
		<div id="cslides_slideshow_<?php echo $module->id; ?>"
			class="cycle-slideshow"
			data-cycle-fx="<?php echo $transition; ?>"
			data-cycle-tile-count="12"
			data-cycle-loader="wait"
			data-cycle-timeout="<?php echo $params->get('delay', 8000); ?>"
			data-cycle-speed="<?php echo $params->get('duration', 1000); ?>"
			data-cycle-caption-plugin="caption2"
			<?php if ($params->get("cslides_nav", 1) == 1) : ?>
			data-cycle-prev="#prev_<?php echo $module->id; ?>"
			data-cycle-next="#next_<?php echo $module->id; ?>"
			<?php endif; ?>
			data-cycle-pause-on-hover="true"
		    data-cycle-swipe="true"
		    data-cycle-slides="> a"
		    data-cycle-overlay-fx-sel=">div"
			>
			<div class="cycle-caption"></div>
			<div class="cycle-overlay"></div>
		<?php
	for ($i = 0; $i < count($slides); $i++)
	{
		$slide = $slides[$i];
		$link = $slide->link;

		if (!empty($link))
		{
			// Insert Link around image
			echo '<a href="' . $link . '" title="' . $slide->title . '" data-cycle-desc="' . substr($slide->text, 0, 58) . ".." . '">';
		}

		echo '<img src="' . $slide->image . '" data-cycle-title="' . $slide->title . '" data-cycle-desc="' . substr($slide->text, 0, 58) . ".." . '" />';

		if (!empty($link))
		{
			echo "</a>";
		}
	}
	?>
		</div>
		<?php if ($params->get("cslides_nav", 1) == 1) : ?>
		<div id="next_<?php echo $module->id; ?>" class="cslides_btn_right_<?php echo $module->id; ?> cslides_btn_right">
			<a class="btn_scroll_right" href="#"> </a>
		</div>
		<?php endif; ?>
	</div>
</div>