<?php
/**
 * @package    CAdvancedSlideshow
 * @author     Yves Hoppe <yves@compojoom.com>
 * @date       20.09.13
 *
 * @copyright  Copyright (C) 2008 - 2013 compojoom.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

defined('_JEXEC') or die;

if (JVERSION > '2.5')
{
	// Load mootools in J3
	JHtml::_('behavior.framework');
}

JHTML::_('stylesheet', 'media/mod_cadvancedslideshow/templates/default/tmpl.css');
JHTML::_('script', 'media/mod_cadvancedslideshow/templates/default/tmpl.js');

JHTML::_('script', 'media/mod_cadvancedslideshow/js/Loop.js');

// We have some custom javascript here
JHTML::_('script', 'media/mod_cadvancedslideshow/templates/default/SlideShow.Default.js');
JHTML::_('script', 'media/mod_cadvancedslideshow/js/SlideShow.CSS.js');

// Load mootools
if (JVERSION >= 3)
{
	JHtml::_('behavior.framework', "more");
}
else
{
	JHTML::_('behavior.mootools');
}

$gid = $params->get('galleryid', 1);
$lang = $params->get('language', '');

// Load Slides out of db on the given Galleryid
$slides = CAdvancedSlideshowHelperBasic::getSlides($gid, $lang);

if ($slides == null)
{
	JError::raiseError(403, 'MOD_CADVANCEDSLIDESHOW_NO_SLIDES');
}

// Generate SlideShow settings
$transition = $params->get('transition', 'fadeThroughBackground');

// Set default transition
if (empty($transition))
{
	$transition = 'fadeThroughBackground';
}

$delay = $params->get('delay', 8000);
$duration = $params->get('duration', 1000);
$autoplay = $params->get('autoplay', true);

$doc = JFactory::getDocument();

$domready = "window.addEvent('domready', function(){ \n";
$domready .= "  var holder = document.id('cslides_holder_" . $module->id . "');";
$domready .= "  var btn_scroll_left = holder.getElement('.btn_scroll_left');";
$domready .= "  var btn_scroll_right = holder.getElement('.btn_scroll_right');";

// Fixing click event
$domready .= "btn_scroll_left.addEvent('click', function(event){";
$domready .= "  slideshow.show('previous', {transition: '" . $transition . "', delay: " . $delay . "});";
$domready .= "  event.stop();";
$domready .= "});";

$domready .= "btn_scroll_right.addEvent('click', function(event){";
$domready .= "  slideshow.show('next', {transition: '" . $transition . "', delay: " . $delay . "});";
$domready .= "  event.stop();";
$domready .= "});";

// Mootols hack for not showing the text before slidein
for ($i = 0; $i < count($slides); $i++)
{
	$slide = $slides[$i];
	$domready .= "var slider = new Fx.Slide('cslide_element_text_" . $module->id . '_' . $slide->id . "');
		 slider.hide();";

	if ($i == 0)
	{
		$domready .= "slider.slideIn();";
	}
}

$domready .= "});";

$doc->addScriptDeclaration($domready);

// Generate css
$cslides_holder_w = $params->get('cslides_holder_width', '100 %');

// Value only in pixel
$cslides_holder_h = $params->get('cslides_holder_height', '300');
$cslides_holder_border = $params->get('cslides_holder_border', '1px solid #555');
$cslides_holder_bg = $params->get('cslides_holder_bg', '');

$cslides_holder_inner_padding = $params->get('cslides_holder_inner_padding', '2');
$cslides_holder_inner_margin = $params->get('cslides_holder_inner_margin', '0');

// Select blue, white, grey, black
$cslides_nav_btns_icon_color = $params->get('cslides_nav_btns_icon_color', 'grey');
?>
<style type="text/css">
	#cslides_holder_<?php echo $module->id; ?> {
		width: <?php echo $cslides_holder_w; ?>;
		height: <?php echo $cslides_holder_h; ?>px;
<?php
if (!empty($cslides_holder_bg)) :
?>
		background: <?php echo $cslides_holder_bg; ?>;
<?php
endif;
?>
	}

	.cslides_holder_inner_<?php echo $module->id; ?> {
		padding: <?php echo $cslides_holder_inner_padding; ?>px;
		margin: <?php echo $cslides_holder_inner_margin; ?>px;
		border: <?php echo $cslides_holder_border; ?>;
	}

	.cslides_btn_left_<?php echo $module->id; ?> {
		background: url(<?php echo JURI::base(); ?>media/mod_cadvancedslideshow/templates/default/images/left_arrow_<?php echo $cslides_nav_btns_icon_color; ?>.png) no-repeat;
	}

	.cslides_btn_right_<?php echo $module->id; ?> {
		background: url(<?php echo JURI::base(); ?>media/mod_cadvancedslideshow/templates/default/images/right_arrow_<?php echo $cslides_nav_btns_icon_color; ?>.png) no-repeat;
	}

	#cslides_slideshow_<?php echo $module->id; ?> {
		height: <?php echo $cslides_holder_h - ($cslides_holder_inner_padding * 2) - ($cslides_holder_inner_margin * 2) - 2;?>px;
	}

	.cslide_element_text {
		height: <?php echo $cslides_holder_h - ($cslides_holder_inner_padding * 2) - ($cslides_holder_inner_margin * 2) - 2;?>px;
	}

	<?php
	// Hide Nav elements if disabled
	if ($params->get("cslides_nav", 1) == 0)
	{
		echo ".cslides_btn_left {display: none}\n";
		echo ".cslides_btn_right {display: none}\n";
	}

		// Generate slide element css
		foreach ($slides as $slide)
		{
			$image_settings = json_decode($slide->image_sets);

			$repeat = "no-repeat";

			if (!empty($image_settings->repeat))
			{
					$repeat = $image_sets->repeat;
			}

			$color = (empty($slide->fontcolor) ? $params->get('default_color', '#777777') : $slide->fontcolor);
			$linkcolor = (empty($slide->fontcolor) ? $params->get('link_color', '#608C6F') : $slide->linkcolor);

			echo ".cslide_element_" . $module->id . "_" . $slide->id . " {background: url(" . JURI::base() . $slide->image . ") " . $repeat . "; color: " . $color . ";}\n";
			echo ".cslide_element_" . $module->id . "_" . $slide->id . " a:link, .cslide_element_" . $slide->id . " a:visited  {color: " . $linkcolor . ";}\n";

			if (!empty($slide->image_mover))
			{
				echo ".cslide_element_" . $module->id . ":hover {background: url(" . JURI::base() . $slide->image_mover . ");}\n";
			}
		}
	?>
</style>
<?php
// Code
?>
<div id="cslides_holder_<?php echo $module->id; ?>" class="cslides_holder">
	<div class="cslides_holder_inner_<?php echo $module->id; ?> cslides_holder_inner">
		<div class="cslides_btn_left_<?php echo $module->id; ?> cslides_btn_left">
			<a class="btn_scroll_left" href="#"> </a>
		</div>
		<div id="cslides_slideshow_<?php echo $module->id; ?>" class="cslides_slideshow">
			<?php
			for ($i = 0; $i < count($slides); $i++)
			{
				$slide = $slides[$i];
				$link = $slide->link;

				echo '<div id="cslide_' . $module->id . '_' . $slide->id . '">';
				echo '<div class="cslide_element_' . $module->id . '_' . $slide->id . ' cslide_element">';
				echo '<div class="cslide_element_inner_' . $module->id . ' cslide_element_inner">';
				echo '<div id="cslide_element_text_' . $module->id . '_' . $slide->id . '" class="cslide_element_text">';
				echo '<div class="cslide_element_text_inner">';

				echo '<div id="cslide_element_title_' . $module->id . '_' . $slide->id . '" class="cslide_element_title">';

				if (!empty($link))
				{
					echo '<a href="' . $link . '" class="cslide_title">' . $slide->title . "</a>";
				}
				else
				{
					echo $slide->title;
				}

				echo '</div>';
				echo '<p>';
				echo JHTML::_('content.prepare', $slide->text);
				echo '</p>';

				// More button
				if (!empty($link))
				{
					echo '<div class="cclear"> </div>';
					echo '<div class="cslide_element_more">';
					echo '<a href="' . $link . '"><span class="cbutton_more cbutton">'
						. JText::_("COM_CADAVANCEDSLIDESHOW_READ_MORE") . "</span></a>";
					echo '</div>';
				}

				echo '</div>';
				echo '</div>';
				echo '</div>';
				echo '</div>';
				echo '</div>';
			}
			?>
		</div>
		<div class="cslides_btn_right_<?php echo $module->id; ?> cslides_btn_right">
			<a class="btn_scroll_right" href="#"> </a>
		</div>
	</div>
</div>
<?php if (CDEBUG): ?>
	<div id="cdebug">
		Current Slide
	</div>
<?php endif; ?>

<script type="text/javascript">
	var slideshow = new SlideShow('cslides_slideshow_<?php echo $module->id; ?>', {
		transition: '<?php echo $transition ?>',
		delay: <?php echo $delay ?>,
		duration: <?php echo $duration ?>,
		autoplay: <?php echo $autoplay ?>
	});

	slideshow.addEvent('showComplete', function (slideData) {
		var element = slideData.next.element; // the actual DOM element
		<?php if (CDEBUG): ?>
		document.id(cdebug).innerHTML = element.id;
		<?php endif; ?>
		slideTextIn(element);
	});

	slideshow.addEvent('show', function (slideData) {
		var element = slideData.next.element; // the actual DOM element
		var text = element.getFirst('div .cslide_element_text');
		var vertSlide = new Fx.Slide(text).hide();

		// Old element
		var oldele = slideData.previous.element;
		var vertSlide = new Fx.Slide(oldele.getFirst('div .cslide_element_text')).hide();
	});
</script>
